﻿
@using PhotoContest.Domain.ViewModels.PhotoViewModels;
@using PhotoContest.Api.ViewModels.PaginationViewModels;


@model List<PhotoGetViewModel>;


@{
    Layout = "_Layout";
}


<h2>Participating photos</h2>

<div class="container">

    <div class="row">

        @foreach (var photo in Model)

        {

            <div class="col-md-4">
                <div class="card mb-4 shadow-sm">
                    <img src="@(string.IsNullOrEmpty(photo.PhotoUrl) ? "/Photos/noimage.png" : photo.PhotoUrl)" class="img-thumbnail" />
                    <div class="card-body">
                        <h3 class="card-title">@(string.IsNullOrEmpty(photo.Title) ? "Name is not available" : photo.Title)</h3>
                        <p class="card-text">@(string.IsNullOrEmpty(photo.Story) ? "No story availabe": photo.Story)</p>
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="btn-group">
                                <a asp-controller="Ratings" asp-action="Create" asp-route-photoId="@photo.Id"
                                   class="btn btn-sm btn-outline-secondary"> Rate this photo!</a>
                            </div>
                            <small class="text-muted">@(string.IsNullOrEmpty(photo.Username) ? "NA" : photo.Username)</small>
                            <small class="text-muted">@(string.IsNullOrEmpty(photo.Scoring.ToString()) ? "NA" : photo.Scoring)</small>
                        </div>
                    </div>
                </div>
            </div>
        }

    </div>
</div>